﻿<%@ Page Title="Edit OBToolKit" Language="C#" MasterPageFile="~/DefaultMaster.master" AutoEventWireup="true" CodeFile="EditOBToolKit.aspx.cs" Inherits="EditOBToolKit" %>

<%@ Register Assembly="Infragistics4.WebUI.WebSpellChecker.v11.1, Version=11.1.20111.1006, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.WebUI.WebSpellChecker" TagPrefix="ig_spell" %>

<%@ Register Assembly="Infragistics4.WebUI.WebHtmlEditor.v11.1, Version=11.1.20111.1006, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.WebUI.WebHtmlEditor" TagPrefix="ig_hedit" %>

<%@ Register Assembly="Infragistics4.Web.v11.1, Version=11.1.20111.1006, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.EditorControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics4.Web.v11.1, Version=11.1.20111.1006, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics4.Web.v11.1, Version=11.1.20111.1006, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.LayoutControls" TagPrefix="ig" %>



<asp:Content ID="Content4" ContentPlaceHolderID="OBToolKitContent" Runat="Server">

<script type="text/javascript" language="javascript">
    function GoToTab(direction) {
        var tabContainer = $find('<%= Tabs.ClientID %>');
        var currenTabIndex = tabContainer.get_SelectedIndex();
        var newTabIndex = currenTabIndex + direction;
        if (newTabIndex >= 0 && newTabIndex < tabContainer.get_tabs().length)
            tabContainer.set_SelectedIndex(newTabIndex);

    }
</script>
<script type="text/javascript" id="igClientScript">

    function checkSpace(sender, evtArgs) {
        var chCode = evtArgs.get_keyCode();
        //alert("In show " + chCode);
        if (chCode == 32) {
            evtArgs.set_cancel(true);
        }
    }

    function loadCalendar(sender, evtArgs) {
        var defaultDate;
        defaultDate = sender.get_text();
        sender.set_text(defaultDate);
        sender.set_nullText = defaultDate;
    }

    function addScenario(sender, evtArgs) {
        var tabContainer = $find('<%= Tabs.ClientID %>');
        var tabItem = tabContainer.getTabAt(1);
        var elem = tabItem.findChild('tbScenerioName');
        elem.innerText = evtArgs.get_text();
        elem.alt = evtArgs.get_text();
        elem.Value = evtArgs.get_text();
        elem.NullText = evtArgs.get_text();
    }

    function selectedIndexChanged() {
        curvyCorners.redraw();
    }
 </script> 

 <ig:WebTab runat=server Width="100%" ID="Tabs" BackColor="#3C5FB0" height="100%">
  <ClientEvents SelectedIndexChanged="selectedIndexChanged" />
 <Tabs >
 <ig:ContentTabItem runat="server" Text="OBToolKit" Key="TabPanel1" AutoSize="True"  >   

 <Template>
 <asp:Panel ID="InsidePanel" runat="server" Height="100%" >
   <div  style="Background-color:Black;color:#FBFDFF;padding: 20px 20px 20px 20px;height:100%;">   
        <asp:Label runat="server" ID="Messages" />
        <asp:Label runat="server" ID="CurrentTab" />    
    
    <div align="center" style=" font-family: Arial, Helvetica, sans-serif;">
       <asp:Image ID="Image2" runat="server" ImageUrl="images/SchrieverWargaming_logo_1-in.png" ImageAlign="Left"  Width="120px" />
       <asp:Image ID="Image3" runat="server" ImageUrl="images/SW-2012_logo_1-in.png" ImageAlign="Right" Width="120px"/><br />
       <h1 style="font-size: 36px">Create OBToolKit</h1><hr /><br />
    </div>
    <div style="font-size: 1.0em;font-family: Arial, Helvetica, sans-serif; margin-left:25px;margin-right:15px;" >
        <asp:Table ID="Table10" runat="server" style="font-family:Arial;" HorizontalAlign="Center" Width="810px" >
        <asp:TableRow ID="TableRow1" runat="server" ><asp:TableCell ID="TableCell1" ColumnSpan="4" runat="server">
        
      <asp:Table ID="Table11" runat="server" width="100%">             
        <asp:TableRow ID="TableRow2" runat="server" ><asp:TableCell ID="TableCell2" width="500px" runat="server"><b style="font-size: 15px">System Name:&nbsp</b>    
            <ig:WebTextEditor ID="tbSysName" Width="250px" runat="server" NullText="Enter System Name"
                ValidationGroup="gpOBT" CausesValidation="true" ><ClientEvents TextChanged="addScenario"/>
            </ig:WebTextEditor>             <%--KeyPress="checkSpace"--%> 
            <asp:RequiredFieldValidator id="valSystemName" Display="None" runat="server" ErrorMessage="Enter a 'System Name'" ControlToValidate="tbSysName" 
                            ValidationGroup="gpOBT"></asp:RequiredFieldValidator>
        </asp:TableCell>               
        <asp:TableCell ID="TableCell3" runat="server"><b style="font-size: 15px">Nation: &nbsp</b><asp:DropDownList ID="ddlNations" Width="200px" runat="server"></asp:DropDownList>                 
        </asp:TableCell>        
    </asp:TableRow>        
    </asp:Table>            
</asp:TableCell></asp:TableRow>
<%--         *********************************************************************************************************--%> 
    <asp:TableRow ><asp:TableCell ColumnSpan="4" style="padding-top:10px">
    <asp:Table ID="Table12" runat="server" width="100%">               
 <asp:TableRow>                  
  <asp:TableCell width="70px"><b style="font-size: 15px">Game Play:</b> </asp:TableCell>              
  <asp:TableCell width="140px"><asp:RadioButtonList ID="rbGamePlay" runat="server" Font-Size="Small"></asp:RadioButtonList> </asp:TableCell>     
  <asp:TableCell width="100px"><b style="font-size: 15px">Tier:</b>&nbsp<asp:TextBox ID="tbTier" runat="server"></asp:TextBox><br /><br />
   <br /> <br /> <b style="font-size: 15px">Team Composition:</b>
   <asp:RadioButtonList ID="rbTeam" runat="server" Font-Size="Small" RepeatDirection="Horizontal" ></asp:RadioButtonList>
  </asp:TableCell>
   <asp:TableCell width="150px" style="padding-top:5px" >
    <b style="font-size: 15px">Service Provider:</b>
    <asp:DropDownList ID="ddlService" runat="server" Font-Size="Small"></asp:DropDownList><br /><br /><br /><br />
    <b style="font-size: 15px">System Location:</b>
    <asp:RadioButtonList ID="rbLocation" runat="server" Font-Size="Small" RepeatDirection="Horizontal"></asp:RadioButtonList><br /><br />
   </asp:TableCell></asp:TableRow></asp:Table>
                
             </asp:TableCell>
            </asp:TableRow>
<%-- ************************************************************************************************************************************--%>      
 <asp:TableRow ID="TableRow3" runat="server" ><asp:TableCell ID="TableCell4" ColumnSpan="4" runat="server" >
    <asp:Table ID="Table13" runat="server" width="100%" cellspacing="5">
        <asp:TableRow ID="TableRow4" runat="server"><asp:TableCell ID="TableCell5" Width="260px" runat="server">
            <b style="font-size: 15px">LaunchDate:</b>
        <ig:WebDatePicker ID="tbLaunchDate" ClientSideEvents-Initialize="loadCalendar" runat="server" Width="100px" ValidationGroup="gpOBT" CausesValidation="true"></ig:WebDatePicker>             
        <asp:RequiredFieldValidator id="valLaunchDateRequired" Display="None" runat="server" ErrorMessage="Enter a 'Launch Date'" ControlToValidate="tbLaunchDate" 
                    ValidationGroup="gpOBT"></asp:RequiredFieldValidator>               
        <asp:RangeValidator ID="RangeValidator1" runat="server" ErrorMessage="Enter a valid 'Launch Date'" Display="None" ValidationGroup="gpOBT" ControlToValidate="tbLaunchDate"  
                    MinimumValue="1/1/1975" Type="Date" MaximumValue="1/1/3000"/></asp:TableCell>
      <asp:TableCell ID="TableCell6"  Width="280px" runat="server"><b style="font-size: 15px">Design Life:</b>&nbsp&nbsp
    <ig:WebNumericEditor ID="tbDesignLife" runat="server" Width="70px" HorizontalAlign="Left"></ig:WebNumericEditor>
    <asp:RequiredFieldValidator id="valDesignLife" Display="None" runat="server" ErrorMessage="Enter a 'DesignLife Year'" ControlToValidate="tbDesignLife" ValidationGroup="gpOBT"></asp:RequiredFieldValidator>
    </asp:TableCell>               
    <asp:TableCell ID="TableCell7" runat="server" ><b style="font-size: 15px">ToolBox Category:</b>&nbsp &nbsp<asp:DropDownList ID="ddlCategory" runat="server"  ></asp:DropDownList></asp:TableCell>                
    </asp:TableRow>
    <asp:TableRow><asp:TableCell><br /></asp:TableCell></asp:TableRow>                
    </asp:Table>          
   </asp:TableCell></asp:TableRow></asp:Table>

    <table width="810px"><tr><td align="center">
    <ig_hedit:WebHtmlEditor ID="wheFloatingImage" runat="server" UploadedFilesDirectory="/ig_common/upload" TabStripDisplay="False" Height="100px" Width="500px">
        <Toolbar>
            <ig_hedit:ToolbarButton runat="server" Type="Preview" />              
            <ig_hedit:ToolbarUploadButton runat="server" Type="InsertImage">
                <Upload Height="420px" Width="500px" />
            </ig_hedit:ToolbarUploadButton>
        </Toolbar>

    </ig_hedit:WebHtmlEditor>
   
</td></tr>
         <tr><td><b style="font-size: 15px">CONOPS:</b><br />
             

             <ig_spell:WebSpellChecker ID="spellCheckCONOPSCreate" runat="server" StyleSetName="" 
                 StyleSetPath="" StyleSheetDirectory=""><DialogOptions Modal="true" ShowNoErrorsMessage="true" />
             </ig_spell:WebSpellChecker>
             <ig_hedit:WebHtmlEditor ID="editCONOPS" runat="server" UploadedFilesDirectory="/ig_common/upload"
                 height="250px" Width="100%"
                 SpellCheckerID="spellCheckCONOPSCreate"  TabStripDisplay="False" 
                 FontFormattingList="Heading 1=&lt;h1&gt;&amp;Heading 2=&lt;h2&gt;&amp;Heading 3=&lt;h3&gt;&amp;Heading 4=&lt;h4&gt;&amp;Heading 5=&lt;h5&gt;&amp;Normal=&lt;p&gt;" 
                 FontNameList="Arial,Verdana,Tahoma,Courier New,Georgia" 
                 FontSizeList="1,2,3,4,5,6,7" 
                 FontStyleList="Blue Underline=color:blue;text-decoration:underline;&amp;Red Bold=color:red;font-weight:bold;&amp;ALL CAPS=text-transform:uppercase;&amp;all lowercase=text-transform:lowercase;&amp;Reset=" 
                 SpecialCharacterList="&amp;#937;,&amp;#931;,&amp;#916;,&amp;#934;,&amp;#915;,&amp;#936;,&amp;#928;,&amp;#920;,&amp;#926;,&amp;#923;,&amp;#958;,&amp;#956;,&amp;#951;,&amp;#966;,&amp;#969;,&amp;#949;,&amp;#952;,&amp;#948;,&amp;#950;,&amp;#968;,&amp;#946;,&amp;#960;,&amp;#963;,&amp;szlig;,&amp;thorn;,&amp;THORN;,&amp;#402,&amp;#1046;,&amp;#1064;,&amp;#1070;,&amp;#1071;,&amp;#1078;,&amp;#1092;,&amp;#1096;,&amp;#1102;,&amp;#1103;,&amp;#12362;,&amp;#12354;,&amp;#32117;,&amp;AElig;,&amp;Aring;,&amp;Ccedil;,&amp;ETH;,&amp;Ntilde;,&amp;Ouml;,&amp;aelig;,&amp;aring;,&amp;atilde;,&amp;ccedil;,&amp;eth;,&amp;euml;,&amp;ntilde;,&amp;cent;,&amp;pound;,&amp;curren;,&amp;yen;,&amp;#8470;,&amp;#153;,&amp;copy;,&amp;reg;,&amp;#151;,@,&amp;#149;,&amp;iexcl;,&amp;#14;,&amp;#8592;,&amp;#8593;,&amp;#8594;,&amp;#8595;,&amp;#8596;,&amp;#8597;,&amp;#8598;,&amp;#8599;,&amp;#8600;,&amp;#8601;,&amp;#18;,&amp;brvbar;,&amp;sect;,&amp;uml;,&amp;ordf;,&amp;not;,&amp;macr;,&amp;para;,&amp;deg;,&amp;plusmn;,&amp;laquo;,&amp;raquo;,&amp;middot;,&amp;cedil;,&amp;ordm;,&amp;sup1;,&amp;sup2;,&amp;sup3;,&amp;frac14;,&amp;frac12;,&amp;frac34;,&amp;iquest;,&amp;times;,&amp;divide;"
                 Font-Bold="false">
             <Toolbar>
                <ig_hedit:ToolbarButton type="Bold" runat="server"  />
                <ig_hedit:ToolbarButton type="Italic" runat="server" />
                <ig_hedit:ToolbarButton type="Underline" runat="server" />
                <ig_hedit:ToolbarImage type="Separator" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyLeft" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyCenter" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyRight" runat="server" />
                <ig_hedit:ToolbarImage type="Separator" runat="server" />
                <ig_hedit:ToolbarButton type="UnorderedList" runat="server" />
                <ig_hedit:ToolbarButton Type="OrderedList" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type ="Outdent" runat="server" />
                <ig_hedit:ToolbarButton Type="Indent" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type="Copy" runat="server" />
                <ig_hedit:ToolbarButton Type="Paste" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarImage runat="server" Type="Separator" />
                <ig_hedit:ToolbarButton runat="server" Type="Preview" />
                <ig_hedit:ToolbarDialogButton runat="server" Type="FindReplace">
                    <Dialog InternalDialogType="FindReplace" />
                </ig_hedit:ToolbarDialogButton>
                <ig_hedit:ToolbarUploadButton runat="server" Type="InsertImage">
                    <Upload Height="420px" Width="500px" />
                </ig_hedit:ToolbarUploadButton>
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type="SpellCheck" runat="server" />
            </Toolbar>
                 <RightClickMenu>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Cut">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Copy">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Paste">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="PasteHtml">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="CellProperties">
                         <Dialog InternalDialogType="CellProperties" />
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="TableProperties">
                         <Dialog InternalDialogType="ModifyTable" />
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="InsertImage">
                     </ig_hedit:HtmlBoxMenuItem>
                 </RightClickMenu>

             </ig_hedit:WebHtmlEditor>
             
       <td><tr>    
              <td colspan="4">
                  <table id="Table14" runat="server" width="100%">
                      <tr id="Tr1" runat="server">
                          <td id="Td1" runat="server">
                          </td>
                      </tr>
                  </table>
              </td>
         <tr><td colspan="4"><br /><hr /><br /><b style="font-size: 17px">Performance Information:</b></td></tr>
        <tr><td colspan="4"><table id="Table15" runat="server" width="100%" cellspacing="5">

            <tr id="Tr2" runat="server"><td id="Td2" width="90px" runat="server"><b style="font-size: 15px">TT&C Uplink:</b></td>
            <td id="Td3" runat="server" width="100%"> 
        <ig_spell:WebSpellChecker ID="spellCheckUplinkCreate" runat="server" StyleSetName=""
                 StyleSetPath="" StyleSheetDirectory="Styles/"><DialogOptions Modal="true" ShowNoErrorsMessage="true" />
             </ig_spell:WebSpellChecker>
        <ig_hedit:WebHtmlEditor ID="editUplink" runat="server" UploadedFilesDirectory="/ig_common/upload"
                  height="75px" Width="100%"
                 SpellCheckerID="spellCheckUplinkCreate"  TabStripDisplay="False" 
                 FontFormattingList="Heading 1=&lt;h1&gt;&amp;Heading 2=&lt;h2&gt;&amp;Heading 3=&lt;h3&gt;&amp;Heading 4=&lt;h4&gt;&amp;Heading 5=&lt;h5&gt;&amp;Normal=&lt;p&gt;" 
                 FontNameList="Arial,Verdana,Tahoma,Courier New,Georgia" 
                 FontSizeList="1,2,3,4,5,6,7" 
                 FontStyleList="Blue Underline=color:blue;text-decoration:underline;&amp;Red Bold=color:red;font-weight:bold;&amp;ALL CAPS=text-transform:uppercase;&amp;all lowercase=text-transform:lowercase;&amp;Reset=" 
                 SpecialCharacterList="&amp;#937;,&amp;#931;,&amp;#916;,&amp;#934;,&amp;#915;,&amp;#936;,&amp;#928;,&amp;#920;,&amp;#926;,&amp;#923;,&amp;#958;,&amp;#956;,&amp;#951;,&amp;#966;,&amp;#969;,&amp;#949;,&amp;#952;,&amp;#948;,&amp;#950;,&amp;#968;,&amp;#946;,&amp;#960;,&amp;#963;,&amp;szlig;,&amp;thorn;,&amp;THORN;,&amp;#402,&amp;#1046;,&amp;#1064;,&amp;#1070;,&amp;#1071;,&amp;#1078;,&amp;#1092;,&amp;#1096;,&amp;#1102;,&amp;#1103;,&amp;#12362;,&amp;#12354;,&amp;#32117;,&amp;AElig;,&amp;Aring;,&amp;Ccedil;,&amp;ETH;,&amp;Ntilde;,&amp;Ouml;,&amp;aelig;,&amp;aring;,&amp;atilde;,&amp;ccedil;,&amp;eth;,&amp;euml;,&amp;ntilde;,&amp;cent;,&amp;pound;,&amp;curren;,&amp;yen;,&amp;#8470;,&amp;#153;,&amp;copy;,&amp;reg;,&amp;#151;,@,&amp;#149;,&amp;iexcl;,&amp;#14;,&amp;#8592;,&amp;#8593;,&amp;#8594;,&amp;#8595;,&amp;#8596;,&amp;#8597;,&amp;#8598;,&amp;#8599;,&amp;#8600;,&amp;#8601;,&amp;#18;,&amp;brvbar;,&amp;sect;,&amp;uml;,&amp;ordf;,&amp;not;,&amp;macr;,&amp;para;,&amp;deg;,&amp;plusmn;,&amp;laquo;,&amp;raquo;,&amp;middot;,&amp;cedil;,&amp;ordm;,&amp;sup1;,&amp;sup2;,&amp;sup3;,&amp;frac14;,&amp;frac12;,&amp;frac34;,&amp;iquest;,&amp;times;,&amp;divide;" 
                 Font-Bold="false">
             <Toolbar>
                <ig_hedit:ToolbarButton type="Bold" runat="server"  />
                <ig_hedit:ToolbarButton type="Italic" runat="server" />
                <ig_hedit:ToolbarButton type="Underline" runat="server" />
                <ig_hedit:ToolbarImage type="Separator" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyLeft" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyCenter" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyRight" runat="server" />
                <ig_hedit:ToolbarImage type="Separator" runat="server" />
                <ig_hedit:ToolbarButton type="UnorderedList" runat="server" />
                <ig_hedit:ToolbarButton Type="OrderedList" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type ="Outdent" runat="server" />
                <ig_hedit:ToolbarButton Type="Indent" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type="Copy" runat="server" />
                <ig_hedit:ToolbarButton Type="Paste" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarImage runat="server" Type="Separator" />
                <ig_hedit:ToolbarButton runat="server" Type="Preview" />
                <ig_hedit:ToolbarDialogButton runat="server" Type="FindReplace">
                    <Dialog InternalDialogType="FindReplace" />
                </ig_hedit:ToolbarDialogButton>
                <ig_hedit:ToolbarUploadButton runat="server" Type="InsertImage">
                    <Upload Height="420px" Width="500px" />
                </ig_hedit:ToolbarUploadButton>
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type="SpellCheck" runat="server" />
            </Toolbar>

                 <RightClickMenu>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Cut">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Copy">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Paste">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="PasteHtml">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="CellProperties">
                         <Dialog InternalDialogType="CellProperties" />
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="TableProperties">
                         <Dialog InternalDialogType="ModifyTable" />
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="InsertImage">
                     </ig_hedit:HtmlBoxMenuItem>
                 </RightClickMenu>

             </ig_hedit:WebHtmlEditor>    
       </td></tr>
            <tr id="Tr3" runat="server"><td id="Td4" runat="server"><b style="font-size: 15px">TT&C Downlink:</b></td>
            <td id="Td5" runat="server">
            <ig_spell:WebSpellChecker ID="spellCheckDownlinkCreate" runat="server" StyleSetName=""
                 StyleSetPath="" StyleSheetDirectory=""><DialogOptions Modal="true" ShowNoErrorsMessage="true" />
             </ig_spell:WebSpellChecker>
             <ig_hedit:WebHtmlEditor ID="editDownlink" runat="server" UploadedFilesDirectory="/ig_common/upload"
                  height="75px" Width="100%"
                 SpellCheckerID="spellCheckDownlinkCreate"  TabStripDisplay="False" 
                 FontFormattingList="Heading 1=&lt;h1&gt;&amp;Heading 2=&lt;h2&gt;&amp;Heading 3=&lt;h3&gt;&amp;Heading 4=&lt;h4&gt;&amp;Heading 5=&lt;h5&gt;&amp;Normal=&lt;p&gt;" 
                 FontNameList="Arial,Verdana,Tahoma,Courier New,Georgia" 
                 FontSizeList="1,2,3,4,5,6,7" 
                 FontStyleList="Blue Underline=color:blue;text-decoration:underline;&amp;Red Bold=color:red;font-weight:bold;&amp;ALL CAPS=text-transform:uppercase;&amp;all lowercase=text-transform:lowercase;&amp;Reset=" 
                 SpecialCharacterList="&amp;#937;,&amp;#931;,&amp;#916;,&amp;#934;,&amp;#915;,&amp;#936;,&amp;#928;,&amp;#920;,&amp;#926;,&amp;#923;,&amp;#958;,&amp;#956;,&amp;#951;,&amp;#966;,&amp;#969;,&amp;#949;,&amp;#952;,&amp;#948;,&amp;#950;,&amp;#968;,&amp;#946;,&amp;#960;,&amp;#963;,&amp;szlig;,&amp;thorn;,&amp;THORN;,&amp;#402,&amp;#1046;,&amp;#1064;,&amp;#1070;,&amp;#1071;,&amp;#1078;,&amp;#1092;,&amp;#1096;,&amp;#1102;,&amp;#1103;,&amp;#12362;,&amp;#12354;,&amp;#32117;,&amp;AElig;,&amp;Aring;,&amp;Ccedil;,&amp;ETH;,&amp;Ntilde;,&amp;Ouml;,&amp;aelig;,&amp;aring;,&amp;atilde;,&amp;ccedil;,&amp;eth;,&amp;euml;,&amp;ntilde;,&amp;cent;,&amp;pound;,&amp;curren;,&amp;yen;,&amp;#8470;,&amp;#153;,&amp;copy;,&amp;reg;,&amp;#151;,@,&amp;#149;,&amp;iexcl;,&amp;#14;,&amp;#8592;,&amp;#8593;,&amp;#8594;,&amp;#8595;,&amp;#8596;,&amp;#8597;,&amp;#8598;,&amp;#8599;,&amp;#8600;,&amp;#8601;,&amp;#18;,&amp;brvbar;,&amp;sect;,&amp;uml;,&amp;ordf;,&amp;not;,&amp;macr;,&amp;para;,&amp;deg;,&amp;plusmn;,&amp;laquo;,&amp;raquo;,&amp;middot;,&amp;cedil;,&amp;ordm;,&amp;sup1;,&amp;sup2;,&amp;sup3;,&amp;frac14;,&amp;frac12;,&amp;frac34;,&amp;iquest;,&amp;times;,&amp;divide;" 
                 Font-Bold="false">
            <Toolbar>
                <ig_hedit:ToolbarButton type="Bold" runat="server"  />
                <ig_hedit:ToolbarButton type="Italic" runat="server" />
                <ig_hedit:ToolbarButton type="Underline" runat="server" />
                <ig_hedit:ToolbarImage type="Separator" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyLeft" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyCenter" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyRight" runat="server" />
                <ig_hedit:ToolbarImage type="Separator" runat="server" />
                <ig_hedit:ToolbarButton type="UnorderedList" runat="server" />
                <ig_hedit:ToolbarButton Type="OrderedList" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type ="Outdent" runat="server" />
                <ig_hedit:ToolbarButton Type="Indent" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type="Copy" runat="server" />
                <ig_hedit:ToolbarButton Type="Paste" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarImage runat="server" Type="Separator" />
                <ig_hedit:ToolbarButton runat="server" Type="Preview" />
                <ig_hedit:ToolbarDialogButton runat="server" Type="FindReplace">
                    <Dialog InternalDialogType="FindReplace" />
                </ig_hedit:ToolbarDialogButton>
                <ig_hedit:ToolbarUploadButton runat="server" Type="InsertImage">
                    <Upload Height="420px" Width="500px" />
                </ig_hedit:ToolbarUploadButton>
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type="SpellCheck" runat="server" />
            </Toolbar>
                 <RightClickMenu>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Cut">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Copy">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Paste">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="PasteHtml">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="CellProperties">
                         <Dialog InternalDialogType="CellProperties" />
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="TableProperties">
                         <Dialog InternalDialogType="ModifyTable" />
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="InsertImage">
                     </ig_hedit:HtmlBoxMenuItem>
                 </RightClickMenu>

             </ig_hedit:WebHtmlEditor>
           </td></tr>
            <tr id="Tr4" runat="server"><td id="Td6" runat="server"><b style="font-size: 15px">Payload:</b></td>
                <td id="Td7" runat="server"> 
                <ig_spell:WebSpellChecker ID="spellCheckPayloadCreate" runat="server" StyleSetName="" 
                 StyleSetPath="" StyleSheetDirectory=""><DialogOptions Modal="true" ShowNoErrorsMessage="true" />
             </ig_spell:WebSpellChecker>
             <ig_hedit:WebHtmlEditor ID="editPayload" runat="server" UploadedFilesDirectory="/ig_common/upload"
                  height="250px" Width="100%"
                 SpellCheckerID="spellCheckPayloadCreate"  TabStripDisplay="False" 
                 FontFormattingList="Heading 1=&lt;h1&gt;&amp;Heading 2=&lt;h2&gt;&amp;Heading 3=&lt;h3&gt;&amp;Heading 4=&lt;h4&gt;&amp;Heading 5=&lt;h5&gt;&amp;Normal=&lt;p&gt;" 
                 FontNameList="Arial,Verdana,Tahoma,Courier New,Georgia" 
                 FontSizeList="1,2,3,4,5,6,7" 
                 FontStyleList="Blue Underline=color:blue;text-decoration:underline;&amp;Red Bold=color:red;font-weight:bold;&amp;ALL CAPS=text-transform:uppercase;&amp;all lowercase=text-transform:lowercase;&amp;Reset=" 
                 SpecialCharacterList="&amp;#937;,&amp;#931;,&amp;#916;,&amp;#934;,&amp;#915;,&amp;#936;,&amp;#928;,&amp;#920;,&amp;#926;,&amp;#923;,&amp;#958;,&amp;#956;,&amp;#951;,&amp;#966;,&amp;#969;,&amp;#949;,&amp;#952;,&amp;#948;,&amp;#950;,&amp;#968;,&amp;#946;,&amp;#960;,&amp;#963;,&amp;szlig;,&amp;thorn;,&amp;THORN;,&amp;#402,&amp;#1046;,&amp;#1064;,&amp;#1070;,&amp;#1071;,&amp;#1078;,&amp;#1092;,&amp;#1096;,&amp;#1102;,&amp;#1103;,&amp;#12362;,&amp;#12354;,&amp;#32117;,&amp;AElig;,&amp;Aring;,&amp;Ccedil;,&amp;ETH;,&amp;Ntilde;,&amp;Ouml;,&amp;aelig;,&amp;aring;,&amp;atilde;,&amp;ccedil;,&amp;eth;,&amp;euml;,&amp;ntilde;,&amp;cent;,&amp;pound;,&amp;curren;,&amp;yen;,&amp;#8470;,&amp;#153;,&amp;copy;,&amp;reg;,&amp;#151;,@,&amp;#149;,&amp;iexcl;,&amp;#14;,&amp;#8592;,&amp;#8593;,&amp;#8594;,&amp;#8595;,&amp;#8596;,&amp;#8597;,&amp;#8598;,&amp;#8599;,&amp;#8600;,&amp;#8601;,&amp;#18;,&amp;brvbar;,&amp;sect;,&amp;uml;,&amp;ordf;,&amp;not;,&amp;macr;,&amp;para;,&amp;deg;,&amp;plusmn;,&amp;laquo;,&amp;raquo;,&amp;middot;,&amp;cedil;,&amp;ordm;,&amp;sup1;,&amp;sup2;,&amp;sup3;,&amp;frac14;,&amp;frac12;,&amp;frac34;,&amp;iquest;,&amp;times;,&amp;divide;" 
                 Font-Bold="false">
            <Toolbar>
                <ig_hedit:ToolbarButton type="Bold" runat="server"  />
                <ig_hedit:ToolbarButton type="Italic" runat="server" />
                <ig_hedit:ToolbarButton type="Underline" runat="server" />
                <ig_hedit:ToolbarImage type="Separator" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyLeft" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyCenter" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyRight" runat="server" />
                <ig_hedit:ToolbarImage type="Separator" runat="server" />
                <ig_hedit:ToolbarButton type="UnorderedList" runat="server" />
                <ig_hedit:ToolbarButton Type="OrderedList" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type ="Outdent" runat="server" />
                <ig_hedit:ToolbarButton Type="Indent" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type="Copy" runat="server" />
                <ig_hedit:ToolbarButton Type="Paste" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarImage runat="server" Type="Separator" />
                <ig_hedit:ToolbarButton runat="server" Type="Preview" />
                <ig_hedit:ToolbarDialogButton runat="server" Type="FindReplace">
                    <Dialog InternalDialogType="FindReplace" />
                </ig_hedit:ToolbarDialogButton>
                <ig_hedit:ToolbarUploadButton runat="server" Type="InsertImage">
                    <Upload Height="420px" Width="500px" />
                </ig_hedit:ToolbarUploadButton>
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type="SpellCheck" runat="server" />
            </Toolbar>

                 <RightClickMenu>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Cut">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Copy">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Paste">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="PasteHtml">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="CellProperties">
                         <Dialog InternalDialogType="CellProperties" />
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="TableProperties">
                         <Dialog InternalDialogType="ModifyTable" />
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="InsertImage">
                     </ig_hedit:HtmlBoxMenuItem>
                 </RightClickMenu>

             </ig_hedit:WebHtmlEditor>
               </td></tr>
            <tr id="Tr5" runat="server"><td id="Td8" runat="server"><b style="font-size: 15px">Crosslink:</b></td>
                <td id="Td9" runat="server"><asp:RadioButtonList ID="rbCrosslink" runat="server"  RepeatDirection="Horizontal" Font-Size="12px">
                            <asp:ListItem Value="true" Text="Yes" ></asp:ListItem>
                            <asp:ListItem Value="false" Selected="True"  Text="No"></asp:ListItem>
                </asp:RadioButtonList></td></tr>
            <tr id="Tr6" runat="server"><td id="Td10" runat="server"><b style="font-size: 15px">User Data Description:</b></td>
                <td id="Td11" runat="server">
                 <ig_spell:WebSpellChecker ID="spellCheckUserDataDescCreate" runat="server" StyleSetName=""
                 StyleSetPath="" StyleSheetDirectory=""><DialogOptions Modal="true" ShowNoErrorsMessage="true" />
             </ig_spell:WebSpellChecker>
             <ig_hedit:WebHtmlEditor ID="editUserDataDesc" runat="server" UploadedFilesDirectory="/ig_common/upload"
                 height="250px" Width="100%"
                 SpellCheckerID="spellCheckUserDataDescCreate"  TabStripDisplay="False" 
                 FontFormattingList="Heading 1=&lt;h1&gt;&amp;Heading 2=&lt;h2&gt;&amp;Heading 3=&lt;h3&gt;&amp;Heading 4=&lt;h4&gt;&amp;Heading 5=&lt;h5&gt;&amp;Normal=&lt;p&gt;" 
                 FontNameList="Arial,Verdana,Tahoma,Courier New,Georgia" 
                 FontSizeList="1,2,3,4,5,6,7" 
                 FontStyleList="Blue Underline=color:blue;text-decoration:underline;&amp;Red Bold=color:red;font-weight:bold;&amp;ALL CAPS=text-transform:uppercase;&amp;all lowercase=text-transform:lowercase;&amp;Reset=" 
                 SpecialCharacterList="&amp;#937;,&amp;#931;,&amp;#916;,&amp;#934;,&amp;#915;,&amp;#936;,&amp;#928;,&amp;#920;,&amp;#926;,&amp;#923;,&amp;#958;,&amp;#956;,&amp;#951;,&amp;#966;,&amp;#969;,&amp;#949;,&amp;#952;,&amp;#948;,&amp;#950;,&amp;#968;,&amp;#946;,&amp;#960;,&amp;#963;,&amp;szlig;,&amp;thorn;,&amp;THORN;,&amp;#402,&amp;#1046;,&amp;#1064;,&amp;#1070;,&amp;#1071;,&amp;#1078;,&amp;#1092;,&amp;#1096;,&amp;#1102;,&amp;#1103;,&amp;#12362;,&amp;#12354;,&amp;#32117;,&amp;AElig;,&amp;Aring;,&amp;Ccedil;,&amp;ETH;,&amp;Ntilde;,&amp;Ouml;,&amp;aelig;,&amp;aring;,&amp;atilde;,&amp;ccedil;,&amp;eth;,&amp;euml;,&amp;ntilde;,&amp;cent;,&amp;pound;,&amp;curren;,&amp;yen;,&amp;#8470;,&amp;#153;,&amp;copy;,&amp;reg;,&amp;#151;,@,&amp;#149;,&amp;iexcl;,&amp;#14;,&amp;#8592;,&amp;#8593;,&amp;#8594;,&amp;#8595;,&amp;#8596;,&amp;#8597;,&amp;#8598;,&amp;#8599;,&amp;#8600;,&amp;#8601;,&amp;#18;,&amp;brvbar;,&amp;sect;,&amp;uml;,&amp;ordf;,&amp;not;,&amp;macr;,&amp;para;,&amp;deg;,&amp;plusmn;,&amp;laquo;,&amp;raquo;,&amp;middot;,&amp;cedil;,&amp;ordm;,&amp;sup1;,&amp;sup2;,&amp;sup3;,&amp;frac14;,&amp;frac12;,&amp;frac34;,&amp;iquest;,&amp;times;,&amp;divide;" 
                 Font-Bold="false">
             <Toolbar>
                <ig_hedit:ToolbarButton type="Bold" runat="server"  />
                <ig_hedit:ToolbarButton type="Italic" runat="server" />
                <ig_hedit:ToolbarButton type="Underline" runat="server" />
                <ig_hedit:ToolbarImage type="Separator" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyLeft" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyCenter" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyRight" runat="server" />
                <ig_hedit:ToolbarImage type="Separator" runat="server" />
                <ig_hedit:ToolbarButton type="UnorderedList" runat="server" />
                <ig_hedit:ToolbarButton Type="OrderedList" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type ="Outdent" runat="server" />
                <ig_hedit:ToolbarButton Type="Indent" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type="Copy" runat="server" />
                <ig_hedit:ToolbarButton Type="Paste" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarImage runat="server" Type="Separator" />
                <ig_hedit:ToolbarButton runat="server" Type="Preview" />
                <ig_hedit:ToolbarDialogButton runat="server" Type="FindReplace">
                    <Dialog InternalDialogType="FindReplace" />
                </ig_hedit:ToolbarDialogButton>
                <ig_hedit:ToolbarUploadButton runat="server" Type="InsertImage">
                    <Upload Height="420px" Width="500px" />
                </ig_hedit:ToolbarUploadButton>
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type="SpellCheck" runat="server" />
            </Toolbar>

                 <RightClickMenu>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Cut">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Copy">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Paste">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="PasteHtml">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="CellProperties">
                         <Dialog InternalDialogType="CellProperties" />
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="TableProperties">
                         <Dialog InternalDialogType="ModifyTable" />
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="InsertImage">
                     </ig_hedit:HtmlBoxMenuItem>
                 </RightClickMenu>

             </ig_hedit:WebHtmlEditor>
                </td></tr>
            <tr id="Tr7" runat="server"><td id="Td12" colspan="2" runat="server"><hr /></td></tr>
            <tr id="Tr8" runat="server"><td id="Td13" runat="server"><b style="font-size: 15px">Executive Data Description:</b></td>
                <td id="Td14" runat="server">
                <ig_spell:WebSpellChecker ID="spellCheckExecDescriptionCreate" runat="server" StyleSetName=""
                 StyleSetPath="" StyleSheetDirectory=""><DialogOptions Modal="true" ShowNoErrorsMessage="true" />
             </ig_spell:WebSpellChecker>
             <ig_hedit:WebHtmlEditor ID="editExecDescription" runat="server" UploadedFilesDirectory="/ig_common/upload"
                 height="250px" Width="100%"
                 SpellCheckerID="spellCheckExecDescriptionCreate"  TabStripDisplay="False" 
                 FontFormattingList="Heading 1=&lt;h1&gt;&amp;Heading 2=&lt;h2&gt;&amp;Heading 3=&lt;h3&gt;&amp;Heading 4=&lt;h4&gt;&amp;Heading 5=&lt;h5&gt;&amp;Normal=&lt;p&gt;" 
                 FontNameList="Arial,Verdana,Tahoma,Courier New,Georgia" 
                 FontSizeList="1,2,3,4,5,6,7" 
                 FontStyleList="Blue Underline=color:blue;text-decoration:underline;&amp;Red Bold=color:red;font-weight:bold;&amp;ALL CAPS=text-transform:uppercase;&amp;all lowercase=text-transform:lowercase;&amp;Reset=" 
                 SpecialCharacterList="&amp;#937;,&amp;#931;,&amp;#916;,&amp;#934;,&amp;#915;,&amp;#936;,&amp;#928;,&amp;#920;,&amp;#926;,&amp;#923;,&amp;#958;,&amp;#956;,&amp;#951;,&amp;#966;,&amp;#969;,&amp;#949;,&amp;#952;,&amp;#948;,&amp;#950;,&amp;#968;,&amp;#946;,&amp;#960;,&amp;#963;,&amp;szlig;,&amp;thorn;,&amp;THORN;,&amp;#402,&amp;#1046;,&amp;#1064;,&amp;#1070;,&amp;#1071;,&amp;#1078;,&amp;#1092;,&amp;#1096;,&amp;#1102;,&amp;#1103;,&amp;#12362;,&amp;#12354;,&amp;#32117;,&amp;AElig;,&amp;Aring;,&amp;Ccedil;,&amp;ETH;,&amp;Ntilde;,&amp;Ouml;,&amp;aelig;,&amp;aring;,&amp;atilde;,&amp;ccedil;,&amp;eth;,&amp;euml;,&amp;ntilde;,&amp;cent;,&amp;pound;,&amp;curren;,&amp;yen;,&amp;#8470;,&amp;#153;,&amp;copy;,&amp;reg;,&amp;#151;,@,&amp;#149;,&amp;iexcl;,&amp;#14;,&amp;#8592;,&amp;#8593;,&amp;#8594;,&amp;#8595;,&amp;#8596;,&amp;#8597;,&amp;#8598;,&amp;#8599;,&amp;#8600;,&amp;#8601;,&amp;#18;,&amp;brvbar;,&amp;sect;,&amp;uml;,&amp;ordf;,&amp;not;,&amp;macr;,&amp;para;,&amp;deg;,&amp;plusmn;,&amp;laquo;,&amp;raquo;,&amp;middot;,&amp;cedil;,&amp;ordm;,&amp;sup1;,&amp;sup2;,&amp;sup3;,&amp;frac14;,&amp;frac12;,&amp;frac34;,&amp;iquest;,&amp;times;,&amp;divide;" 
                 Font-Bold="false">
             <Toolbar>
                <ig_hedit:ToolbarButton type="Bold" runat="server"  />
                <ig_hedit:ToolbarButton type="Italic" runat="server" />
                <ig_hedit:ToolbarButton type="Underline" runat="server" />
                <ig_hedit:ToolbarImage type="Separator" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyLeft" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyCenter" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyRight" runat="server" />
                <ig_hedit:ToolbarImage type="Separator" runat="server" />
                <ig_hedit:ToolbarButton type="UnorderedList" runat="server" />
                <ig_hedit:ToolbarButton Type="OrderedList" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type ="Outdent" runat="server" />
                <ig_hedit:ToolbarButton Type="Indent" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type="Copy" runat="server" />
                <ig_hedit:ToolbarButton Type="Paste" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarImage runat="server" Type="Separator" />
                <ig_hedit:ToolbarButton runat="server" Type="Preview" />
                <ig_hedit:ToolbarDialogButton runat="server" Type="FindReplace">
                    <Dialog InternalDialogType="FindReplace" />
                </ig_hedit:ToolbarDialogButton>
                <ig_hedit:ToolbarUploadButton runat="server" Type="InsertImage">
                    <Upload Height="420px" Width="500px" />
                </ig_hedit:ToolbarUploadButton>
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type="SpellCheck" runat="server" />
            </Toolbar>

                 <RightClickMenu>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Cut">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Copy">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Paste">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="PasteHtml">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="CellProperties">
                         <Dialog InternalDialogType="CellProperties" />
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="TableProperties">
                         <Dialog InternalDialogType="ModifyTable" />
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="InsertImage">
                     </ig_hedit:HtmlBoxMenuItem>
                 </RightClickMenu>

             </ig_hedit:WebHtmlEditor>
            
          </td></tr>
            <tr id="Tr9" runat="server"><td id="Td15" runat="server"><b style="font-size: 15px">Description:</b></td>
                <td id="Td16" runat="server">
            <ig_spell:WebSpellChecker ID="spellCheckDescriptionCreate" runat="server" StyleSetName=""
                 StyleSetPath="" StyleSheetDirectory="">
             </ig_spell:WebSpellChecker>
             <ig_hedit:WebHtmlEditor ID="editDescription" runat="server" UploadedFilesDirectory="/ig_common/upload"
                 height="250px" Width="100%"
                 SpellCheckerID="spellCheckDescriptionCreate"  TabStripDisplay="False" 
                 FontFormattingList="Heading 1=&lt;h1&gt;&amp;Heading 2=&lt;h2&gt;&amp;Heading 3=&lt;h3&gt;&amp;Heading 4=&lt;h4&gt;&amp;Heading 5=&lt;h5&gt;&amp;Normal=&lt;p&gt;" 
                 FontNameList="Arial,Verdana,Tahoma,Courier New,Georgia" 
                 FontSizeList="1,2,3,4,5,6,7" 
                 FontStyleList="Blue Underline=color:blue;text-decoration:underline;&amp;Red Bold=color:red;font-weight:bold;&amp;ALL CAPS=text-transform:uppercase;&amp;all lowercase=text-transform:lowercase;&amp;Reset=" 
                 SpecialCharacterList="&amp;#937;,&amp;#931;,&amp;#916;,&amp;#934;,&amp;#915;,&amp;#936;,&amp;#928;,&amp;#920;,&amp;#926;,&amp;#923;,&amp;#958;,&amp;#956;,&amp;#951;,&amp;#966;,&amp;#969;,&amp;#949;,&amp;#952;,&amp;#948;,&amp;#950;,&amp;#968;,&amp;#946;,&amp;#960;,&amp;#963;,&amp;szlig;,&amp;thorn;,&amp;THORN;,&amp;#402,&amp;#1046;,&amp;#1064;,&amp;#1070;,&amp;#1071;,&amp;#1078;,&amp;#1092;,&amp;#1096;,&amp;#1102;,&amp;#1103;,&amp;#12362;,&amp;#12354;,&amp;#32117;,&amp;AElig;,&amp;Aring;,&amp;Ccedil;,&amp;ETH;,&amp;Ntilde;,&amp;Ouml;,&amp;aelig;,&amp;aring;,&amp;atilde;,&amp;ccedil;,&amp;eth;,&amp;euml;,&amp;ntilde;,&amp;cent;,&amp;pound;,&amp;curren;,&amp;yen;,&amp;#8470;,&amp;#153;,&amp;copy;,&amp;reg;,&amp;#151;,@,&amp;#149;,&amp;iexcl;,&amp;#14;,&amp;#8592;,&amp;#8593;,&amp;#8594;,&amp;#8595;,&amp;#8596;,&amp;#8597;,&amp;#8598;,&amp;#8599;,&amp;#8600;,&amp;#8601;,&amp;#18;,&amp;brvbar;,&amp;sect;,&amp;uml;,&amp;ordf;,&amp;not;,&amp;macr;,&amp;para;,&amp;deg;,&amp;plusmn;,&amp;laquo;,&amp;raquo;,&amp;middot;,&amp;cedil;,&amp;ordm;,&amp;sup1;,&amp;sup2;,&amp;sup3;,&amp;frac14;,&amp;frac12;,&amp;frac34;,&amp;iquest;,&amp;times;,&amp;divide;" 
                 Font-Bold="false">
             <Toolbar>
                <ig_hedit:ToolbarButton type="Bold" runat="server"  />
                <ig_hedit:ToolbarButton type="Italic" runat="server" />
                <ig_hedit:ToolbarButton type="Underline" runat="server" />
                <ig_hedit:ToolbarImage type="Separator" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyLeft" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyCenter" runat="server" />
                <ig_hedit:ToolbarButton type="JustifyRight" runat="server" />
                <ig_hedit:ToolbarImage type="Separator" runat="server" />
                <ig_hedit:ToolbarButton type="UnorderedList" runat="server" />
                <ig_hedit:ToolbarButton Type="OrderedList" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type ="Outdent" runat="server" />
                <ig_hedit:ToolbarButton Type="Indent" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type="Copy" runat="server" />
                <ig_hedit:ToolbarButton Type="Paste" runat="server" />
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarImage runat="server" Type="Separator" />
                <ig_hedit:ToolbarButton runat="server" Type="Preview" />
                <ig_hedit:ToolbarDialogButton runat="server" Type="FindReplace">
                    <Dialog InternalDialogType="FindReplace" />
                </ig_hedit:ToolbarDialogButton>
                <ig_hedit:ToolbarUploadButton runat="server" Type="InsertImage">
                    <Upload Height="420px" Width="500px" />
                </ig_hedit:ToolbarUploadButton>
                <ig_hedit:ToolbarImage Type="Separator" runat="server" />
                <ig_hedit:ToolbarButton Type="SpellCheck" runat="server" />
            </Toolbar>

                 <RightClickMenu>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Cut">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Copy">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="Paste">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="PasteHtml">
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="CellProperties">
                         <Dialog InternalDialogType="CellProperties" />
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="TableProperties">
                         <Dialog InternalDialogType="ModifyTable" />
                     </ig_hedit:HtmlBoxMenuItem>
                     <ig_hedit:HtmlBoxMenuItem runat="server" Act="InsertImage">
                     </ig_hedit:HtmlBoxMenuItem>
                 </RightClickMenu>

             </ig_hedit:WebHtmlEditor>
            </td></tr>
            </table></td></tr>   </table>    
         </table>
         <asp:Table ID="Table16" runat="server">
         <asp:TableRow ID="TableRow5" runat="server"> 
         <asp:TableCell ID="TableCell8" ColumnSpan="4" runat="server"><br /><br /></asp:TableCell></asp:TableRow>
         <asp:TableRow ID="TableRow6" runat="server"><asp:TableCell ID="TableCell9" runat="server">
         
    <table>
        <tr>
        <td width="115px">
            <asp:Button ID="btnReport" runat="server" class="button" Font-Size="Large"
                Height="30px" Text="Report" ValidationGroup="gpOBT" Width="100px" />
        </td>
        <td width="115px">
                <asp:Button ID="btnSave" runat="server" class="button" Font-Size="Large" 
                    Height="30px" Text="Save" ValidationGroup="gpOBT" Width="100px" />
            </td>
            <td>
                <asp:Button ID="btnConst" runat="server" class="button" Font-Size="Large" 
                    Height="30px" OnClick="btnSave_Click" OnClientClick="GoToTab(1)" 
                    Text="Satellite Builder" ValidationGroup="gpOBT" Width="200px" />
            </td>

        </tr>
    </table>
             
</asp:TableCell></asp:TableRow>
        </asp:Table>
            <asp:ValidationSummary ID="vsOBT" ValidationGroup="gpOBT" runat="server" 
            ShowMessageBox="True" ShowSummary="False"/>

  </div>
</div>

</asp:Panel> </Template> 
</ig:ContentTabItem>


<%--=============================================================Panel 2=========================================================================== --%>
<ig:ContentTabItem runat="server" Text="Satellite Builder" Key="tabSatB" >
<Template>

   <asp:Panel runat="server"  Height="100%" >
      <div  style="Background-color:Black;color:#FBFDFF;padding: 20px 20px 20px 20px;">   
        <asp:Label runat="server" ID="Label1" />
        <asp:Label runat="server" ID="Label2" />    
    
    <div align="center" style=" font-family: Arial, Helvetica, sans-serif">
       <asp:Image ID="Image1" runat="server" ImageUrl="images/SchrieverWargaming_logo_1-in.png" ImageAlign="Left"  Width="120px" />
       <asp:Image ID="Image4" runat="server" ImageUrl="images/SW-2012_logo_1-in.png" ImageAlign="Right" Width="120px"/><br />
       <h1  style="font-size:36px">Satellite Builder</h1><hr /><br />
    </div>
          
    <div style="font-size: 1.0em;font-family: Arial, Helvetica, sans-serif; margin-left:35px;margin-right:15px;" ><br /><br />
    <h3 align="center">Scenerio Data</h3><br />
    <table width="100%" style="border-style:inset; border-width: 2px;" cellpadding="5"><tr>
    <td style="padding-left:20px"><b style="font-size: 15px">Scenerio Name:</b> </td><td><asp:TextBox ID="tbScenerioName" runat="server" ReadOnly="true"></asp:TextBox></td>
    <td><b style="font-size: 15px">Year:</b></td><td><asp:TextBox ID="tbYear" runat="server" Width="20px"></asp:TextBox></td>
    <td align="center">
     </td></tr>
  
    <tr><td style="padding-left:20px"><b style="font-size: 15px">Starting Elset #</b> </td><td><asp:TextBox ID="tbElset" runat="server"></asp:TextBox></td>
    <td><b style="font-size: 15px">Day:</b> </td><td><asp:TextBox ID="tbDay" runat="server" width="40px"></asp:TextBox></td>
    <td align="center"><asp:CheckBox ID="cbAdjAscdNode" runat="server" Text=" Adj Ascending Node" Checked="true" Font-Size="15px"></asp:CheckBox>
    </td></tr></table><br />

    <!--===========================Constellation Table========================================================================================-->           
    <asp:UpdatePanel runat="server" ID="pnlTemplate" UpdateMode="Conditional">
    <Triggers>
            <asp:AsyncPostBackTrigger ControlID="btnLEO" EventName="Click" />
            <asp:AsyncPostBackTrigger ControlID="btnGEO" EventName="Click" />
            <asp:AsyncPostBackTrigger ControlID="btnMEO" EventName="Click" />
            <asp:AsyncPostBackTrigger ControlID="btnHEO" EventName="Click" />
            <asp:AsyncPostBackTrigger ControlID="btnSunSync" EventName="Click" />
        </Triggers>
     <ContentTemplate>
     <h3 align="center">Satellite Data</h3><br />
   <asp:Table ID="Table1" runat="server" width="100%" style="border-style:inset; border-width: 2px; padding-bottom:10px;"><asp:TableRow HorizontalAlign="center" VerticalAlign="Middle" >
     <asp:TableCell width="150px"><asp:RadioButtonList TextAlign="Left"  EnableViewState="true"  ID="rbParent" width="100px" runat="server" Font-Size="15px" 
    OnSelectedIndexChanged="rbParent_SelectedIndexChanged" AutoPostBack="true">
        <asp:ListItem Value="1" Text="Parent"></asp:ListItem>
        <asp:ListItem Value="0" Text="Child" ></asp:ListItem>
     </asp:RadioButtonList></asp:TableCell> 
    <asp:TableCell width="115px">
         <asp:UpdatePanel ID="pnlParent" runat="server" UpdateMode="Conditional">
 <Triggers>
            <asp:AsyncPostBackTrigger ControlID="rbParent" EventName="SelectedIndexChanged" />
        </Triggers>
        <ContentTemplate > 
         <asp:Label ID="lblNoParents" runat="server" Visible="false" Font-Bold="true"  Font-Size="15px" ForeColor="Red"  Text="There are No Parents"></asp:Label>
            <asp:Label ID="lblParent" runat="server" Visible="false" Font-Bold="true"  Font-Size="15px"  Text="Parent:"></asp:Label>
        &nbsp<asp:DropDownList ID="ddlParentID" visible="false" runat="server" Width="95"></asp:DropDownList></ContentTemplate>
</asp:UpdatePanel></asp:TableCell>
    <asp:TableCell width="200px"><b style="font-size: 15px">Satellite Templates -> </b></asp:TableCell>
    <asp:TableCell ><asp:Table ID="Table2" runat="server" cellspacing="10"><asp:TableRow  HorizontalAlign="center"><asp:TableCell >
        <asp:Button ID="btnLEO" runat="server" Text="LEO" width="50px" OnClick="btnLEO_Click" CssClass="button" />
        <asp:Button ID="btnGEO" width="50px" runat="server" Text="GEO" OnClick="btnGEO_Click" CssClass="button" />
        <asp:Button ID="btnMEO" width="50px" runat="server" Text="MEO" OnClick="btnMEO_Click" CssClass="button"/>
        <asp:Button ID="btnHEO" width="50px" runat="server" Text="HEO" OnClick="btnHEO_Click" CssClass="button"/>
        <asp:Button ID="btnSunSync" width="90px" runat="server" Text="Sun Sync" OnClick="btnSunSync_Click" CssClass="button"/>
    </asp:TableCell></asp:TableRow></asp:Table></asp:TableCell></asp:TableRow>
   <asp:TableRow><asp:TableCell ColumnSpan="4" style="padding-left:20px">
   
   <asp:Table ID="Table3" runat="server" width="100%" ><asp:TableRow VerticalAlign="bottom">
   <asp:TableCell width="135px"><b style="font-size: 15px">Satellite Name:</b> </asp:TableCell>
    <asp:TableCell width="145px"><asp:TextBox ID="tbConstName" runat="server" Width="110px"></asp:TextBox>
<asp:RegularExpressionValidator ID="RegularExpressionValidator1" Display="None" runat="server" ValidationGroup="gpSat" ValidationExpression="^[a-zA-Z'._\d]{1,8}$"
          ErrorMessage="The Satellite Name cannot have 'Spaces' and can have only 8 characters." ControlToValidate="tbConstName"></asp:RegularExpressionValidator>
     </asp:TableCell>  
    <asp:TableCell width="120px"><b style="font-size: 15px">True Anomaly:</b> </asp:TableCell>
    <asp:TableCell width="80px"><asp:TextBox ID="tbTrueAnomaly" runat="server" width="50px"></asp:TextBox></asp:TableCell>
    <asp:TableCell ><asp:RadioButtonList RepeatDirection="Vertical" ID="rbOffset" runat="server" Font-Size="15px">
        <asp:ListItem Selected="True" Value="0" Text="TA Offset"></asp:ListItem>
        <asp:ListItem Value="1" Text="Walker Offset" ></asp:ListItem>
        </asp:RadioButtonList></asp:TableCell>
        <asp:TableCell><asp:TextBox ID="tbAnomalyOffset" runat="server" Width="30px"></asp:TextBox></asp:TableCell>
    <asp:TableCell  HorizontalAlign="center" width="145px"><b style="font-size: 15px">FOV</b></asp:TableCell>
    </asp:TableRow></asp:Table></asp:TableCell></asp:TableRow>
  <asp:TableRow><asp:TableCell ColumnSpan="4" style="padding-left:17px">
  <asp:Table ID="Table4" runat="server"><asp:TableRow><asp:TableCell rowspan="3">
  <asp:Table ID="Table5" runat="server" width="100%" ><asp:TableRow ><asp:TableCell width="135px" style="padding-bottom:20px">
    <b style="font-size: 15px">Ascending Node:</b></asp:TableCell>
    <asp:TableCell width="145px" style="padding-bottom:20px"><asp:TextBox ID="tbAscdendingNode" runat="server" Width="110px"></asp:TextBox></asp:TableCell>
    <asp:TableCell width="80px" style="padding-bottom:20px"><b style="font-size: 15px">Apogee:</b></asp:TableCell>
    <asp:TableCell style="padding-bottom:20px"><asp:TextBox ID="tbApogee" runat="server" Width="110px"></asp:TextBox></asp:TableCell>
    </asp:TableRow>
    <asp:TableRow><asp:TableCell width="135px"><b style="font-size: 15px">Inclination:</b></asp:TableCell>
    <asp:TableCell width="145px"><asp:TextBox ID="tbInclination" runat="server" Width="110px"></asp:TextBox></asp:TableCell>
    <asp:TableCell width="80px"><b style="font-size: 15px">Perigee:</b></asp:TableCell>
    <asp:TableCell><asp:TextBox ID="tbPerigee" runat="server" Width="110px"></asp:TextBox></asp:TableCell>
    </asp:TableRow></asp:Table></asp:TableCell>
    <asp:TableCell style="padding-left:15px">
    <asp:Table ID="Table6" runat="server"><asp:TableRow VerticalAlign="top">
    <asp:TableCell width="80px"  style="padding-top:5px;padding-left:10px" ><b style="font-size: 15px">FOV Type:</b></asp:TableCell>
    <asp:TableCell width="110px" style="padding-top:5px;padding-left:5px;">       
    <asp:DropDownList ID="ddlFOVType" runat="server" Width="80px" OnSelectedIndexChanged="ddlFOVType_SelectedIndexChanged" AutoPostBack="true"  >
        <asp:ListItem Value="0" Text="Cone" ></asp:ListItem>
        <asp:ListItem Value="1" Text="Butterfly" ></asp:ListItem>
        <asp:ListItem Value="2" Text="H Bfly-L" ></asp:ListItem>
        <asp:ListItem Value="3" Text="H Bfly-R" ></asp:ListItem>
        <asp:ListItem Value="4" Text="Donut" ></asp:ListItem>
        </asp:DropDownList></asp:TableCell>
    <asp:TableCell style="padding-left:1px;padding-right:20px" >
 <asp:UpdatePanel ID="Panel2" runat="server" UpdateMode="Conditional">
 <Triggers>
            <asp:AsyncPostBackTrigger ControlID="ddlFOVType" EventName="SelectedIndexChanged" />
        </Triggers>
        <ContentTemplate >
        <asp:Panel ID="Panel3" runat="server"  Height="85px">
        <asp:Table ID="Table7" runat="server" >
    <asp:TableRow><asp:TableCell><asp:Label ID="lblMax" runat="server" Text="Max " Font-Bold="true"  Font-Size="12px" Width="30px"></asp:Label></asp:TableCell>
        <asp:TableCell><asp:TextBox ID="tbMax" runat="server" Width="40px" Text="SH" Visible="true"></asp:TextBox></asp:TableCell></asp:TableRow>
    <asp:TableRow><asp:TableCell><asp:Label ID="lblMin" runat="server" Text="Min " Font-Bold="true" Font-Size="12px" Visible="false" Width="30px"></asp:Label></asp:TableCell>
        <asp:TableCell><asp:TextBox ID="tbMin" runat="server" Width="40px" Text="0.0"  Visible="false" ></asp:TextBox></asp:TableCell></asp:TableRow>
    <asp:TableRow><asp:TableCell><asp:Label ID="lblAngle" runat="server" Text="Angle " Font-Bold="true" Font-Size="12px" Visible="false" Width="30px"></asp:Label></asp:TableCell>
        <asp:TableCell><asp:TextBox ID="tbAngle" runat="server" Width="40px" Text="0.0"  Visible="false"></asp:TextBox></asp:TableCell></asp:TableRow></asp:Table></asp:Panel>
        </ContentTemplate>
        </asp:UpdatePanel></asp:TableCell></asp:TableRow></asp:Table>
    </asp:TableCell></asp:TableRow></asp:Table>
    </asp:TableCell></asp:TableRow>
    
    <asp:TableRow><asp:TableCell  ColumnSpan="4" style="padding-left:20px; "><asp:Table ID="Table8" runat="server" width="100%"><asp:TableRow><asp:TableCell width="135px">
    <b style="font-size: 15px">Arg of Perigee:</b></asp:TableCell>
    <asp:TableCell width="145px"><asp:TextBox ID="tbArgofPerigee" runat="server" Width="110px"></asp:TextBox></asp:TableCell>
    <asp:TableCell HorizontalAlign="left" width="95px"><b style="font-size: 15px"># of Rings:</b></asp:TableCell>
    <asp:TableCell HorizontalAlign="left"><asp:TextBox ID="tbNumRings" runat="server" Width="40px"></asp:TextBox></asp:TableCell>
    <asp:TableCell HorizontalAlign="right" width="90px" style="padding-right:10px"><b style="font-size: 15px">Sats/Ring:</b></asp:TableCell><asp:TableCell width="50px">
    <asp:TextBox ID="tbSatsRing" runat="server" Width="40px"></asp:TextBox></asp:TableCell>
    <asp:TableCell width="50px" HorizontalAlign="left" style="padding-right:5px;padding-left:15px"><b style="font-size: 15px">Color:</b></asp:TableCell>
    <asp:TableCell>
    
     <asp:UpdatePanel ID="UpdateColorPanel" runat="server" UpdateMode="Conditional">
    <Triggers>
            <asp:AsyncPostBackTrigger ControlID="ddlColorList" EventName="SelectedIndexChanged" />
        </Triggers>
        <ContentTemplate >
        <asp:Table ID="Table9" runat="server">
    <asp:TableRow><asp:TableCell>
        <input id="inputColor" runat="server" style="width: 17px; height:17px;"/>
   
       </asp:TableCell>
       <asp:TableCell runat="server" >
           <asp:DropDownList ID="ddlColorList" runat="server" Width="100px" OnSelectedIndexChanged="ddlColorList_SelectedIndexChanged" AutoPostBack="true">
           </asp:DropDownList>
       </asp:TableCell></asp:TableRow></asp:Table></ContentTemplate></asp:UpdatePanel></asp:TableCell>
    </asp:TableRow></asp:Table></asp:TableCell></asp:TableRow>
    </asp:Table></ContentTemplate></asp:UpdatePanel><br />
 
 
 <asp:Panel runat="server" ID="pnlOperations">
    <h3 align="center">Operations</h3><div align="center"><br />
    <table width="600px"><tr ><td><asp:Button ID="btnAdd" runat="server" Text="Add New Satellite" CssClass="button" CausesValidation="true" ValidationGroup="gpSat"></asp:Button></td><td style="width:40px"></td>
    <td><asp:Button ID="btnSaveConst" runat="server" Text="Save Modified Satellite" CssClass="button"  CausesValidation="true" ValidationGroup="gpSat"></asp:Button></td><td style="width:40px"></td>
  <td><asp:Button ID="btnExport" runat="server" Text="Export Satellites" CssClass="button" CausesValidation="true" ValidationGroup="gpSat"></asp:Button></td></tr>
</table></div><br />
   <asp:ValidationSummary ID="ValidationSummary1" ValidationGroup="gpSat" EnableClientScript="true" runat="server" ShowMessageBox="true" ShowSummary="false"/>
</asp:Panel>
<h3 align="center">Satellites</h3>
<br /><asp:Panel runat="server" id="grid">
<asp:Button ID="btnReset" runat="server" Text="Reset Grid" Visible="false" CssClass="button"/>
    <asp:GridView ID="gridConstellations" runat="server"  AutoGenerateColumns="false" Width="100%"  HorizontalAlign="Center"
    DataKey="ConstellationID"
    Autogenerateselectbutton="True"
    Font-Size="Small"
    AllowPaging="True"
    AllowSorting="True" 
    CellPadding="4" 
    ForeColor="#333333" 
    GridLines="None" HeaderStyle-HorizontalAlign="Center">
    <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
    <Columns >
    <asp:TemplateField Visible="False"> 
    <ItemTemplate>
    <asp:Label ID="constID" runat="server" Text='<%# Eval("ConstellationID") %>' ></asp:Label>
    </ItemTemplate>
</asp:TemplateField> 
     <asp:TemplateField ItemStyle-HorizontalAlign="Center" SortExpression="Parent" HeaderText="Parent" > 
    <ItemTemplate >
    <asp:Label ID="lblParent" runat="server" Text='<%# Bind("Parent") %>'   ></asp:Label>
    </ItemTemplate>
</asp:TemplateField> 
    </Columns>
    <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
    <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
    <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
    <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
    <EditRowStyle BackColor="#999999" />
    <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
            </asp:GridView>
</asp:Panel>
 <asp:Panel ID="Panel1" runat="server"  HorizontalAlign="Center">
 <input type="text" ID="lblGridMessage" runat="server" style="text-align:center; width:700px;display:none; background-color:Black;font-weight:bold;color:Gray; font-size:x-large; border:none" value="There are no Satellites loaded for this Tool Kit."/>
 </asp:Panel>

    </div>
</div>

</asp:Panel> 
</Template>
    </ig:ContentTabItem>
</Tabs>
<TabItemCssClasses  />
<PostBackOptions EnableAjax="true" EnableAsyncUpdateAllTabs="true" EnableLoadOnDemand="false" />

    </ig:WebTab>
    
</asp:Content>

